Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
user/imageview.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZImageCatalogueMain", "Language" )
| $ShowOriginal = $ini->variable( "eZImageCatalogueMain", "ShowOriginal" )
| $t
| $user =& eZUser::currentUser()
| $image = new eZImage( $ImageID )
| $parent_category = $image->categories()
| $sectionObject =& eZSection::globalSectionObject( $GlobalSectionID )
| $category = $image->categoryDefinition()
if( $category !=-1) | $info_items = 0
| $articles = $image->articles()
| $products = $image->products()
if( $image->fileExists(true)) | else
| $size = eZPBFile::siFileSize( $size )
| $width =& $ini->variable( "eZImageCatalogueMain", "ThumbnailViewWidth" )
| $height =& $ini->variable( "eZImageCatalogueMain", "ThumbnailViewHight" )
| $thumbnail =& $image->requestImageVariation( $width, $height )
| $SiteURL = $ini->variable( "site", "UserSiteURL" )

## Variable Documentation

## ◆ $articles

$articles = $image->articles()

Definition at line 120 of file user/imageview.php.

## ◆ $category

$category = $image->categoryDefinition()

Definition at line 104 of file user/imageview.php.

## ◆ $height

$height =& $ini->variable( "eZImageCatalogueMain", "ThumbnailViewHight" )

Definition at line 171 of file user/imageview.php.

Referenced by ezups\getxml(), eZImage\requestImageVariation(), and eZPBImageFile\scaleCopy().

## ◆ $image

$image = new eZImage( $ImageID )

Definition at line 60 of file user/imageview.php.

## ◆ $info_items

$info_items = 0

Definition at line 118 of file user/imageview.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 37 of file user/imageview.php.

## ◆ $Language

$Language = $ini->variable( "eZImageCatalogueMain", "Language" )

Definition at line 39 of file user/imageview.php.

## ◆ $parent_category

$parent_category = $image->categories()

Definition at line 65 of file user/imageview.php.

## ◆ $products

$products = $image->products()

Definition at line 142 of file user/imageview.php.

Referenced by eZCart\cartTotals(), eZProduct\extendedSearch(), eZProduct\extendedSearchCount(), eZFreeTradeImport\importProducts(), eZProductCategory\productCount(), and eZProductSupplier\urlList().

## ◆ $sectionObject

$sectionObject =& eZSection::globalSectionObject( $GlobalSectionID )

Definition at line 77 of file user/imageview.php.

## ◆ $ShowOriginal

$ShowOriginal = $ini->variable( "eZImageCatalogueMain", "ShowOriginal" )

Definition at line 41 of file user/imageview.php.

## ◆ $SiteURL

$SiteURL = $ini->variable( "site", "UserSiteURL" )

Definition at line 173 of file user/imageview.php.

## ◆ $size

$size = eZPBFile::siFileSize( $size )

Definition at line 168 of file user/imageview.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezimagecatalogue/user/" . $ini->variable( "eZImageCatalogueMain", "TemplateDir" ),
"kernel/ezimagecatalogue/user/intl/", $Language, "imageview.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: user/imageview.php:39
$ini
$ini
Definition: user/imageview.php:37

Definition at line 44 of file user/imageview.php.

## ◆ $thumbnail

$thumbnail =& $image->requestImageVariation( $width, $height )

Definition at line 172 of file user/imageview.php.

## ◆ $user

$user =& eZUser::currentUser()

Definition at line 58 of file user/imageview.php.

## ◆ $width

$width =& $ini->variable( "eZImageCatalogueMain", "ThumbnailViewWidth" )

Definition at line 170 of file user/imageview.php.

Referenced by ezups\getxml(), eZImage\requestImageVariation(), and eZPBImageFile\scaleCopy().

## ◆ else

if ($image->fileExists(true)) else

Initial value:
{
$size = 0
$size
$size
Definition: user/imageview.php:168

Definition at line 162 of file user/imageview.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.